| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
NamedObject Class Reference
Basic

object with a name. More...

`#include <namedobj.h>`

Inheritance diagram for NamedObject:
[legend]

## Public Member Functions
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Attributes
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Detailed Description

object with a name.

<>

## Constructor & Destructor Documentation

## ◆ NamedObject() [1/2]

NamedObject::NamedObject | ( | const char * | nm = nullptr | ) |
| inline

## ◆ NamedObject() [2/2]

NamedObject::NamedObject | ( | const NamedObject & | oth | ) |
| inline

## ◆ ~NamedObject()

virtual NamedObject::~NamedObject | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getName()

virtual BufferString NamedObject::getName | ( |  | ) | const
| inline virtual

Reimplemented in NamedMonitoredObject, CtxtIOObj, and visBase::DataObject.

## ◆ getNameFromPar()

bool NamedObject::getNameFromPar | ( | const IOPar & |  | ) |

## ◆ name()

const name_type & NamedObject::name | ( |  | ) | const
| inline override virtual

Implements ObjectWithName.

## ◆ operator=()

NamedObject & NamedObject::operator= | ( | const NamedObject & |  | ) |

## ◆ operator==()

bool NamedObject::operator== | ( | const NamedObject & | oth | ) | const
| inline

## ◆ setName()

virtual void NamedObject::setName | ( | const char * | nm | ) |
| inline virtual

Reimplemented in NamedMonitoredObject, Strat::Level, Geometry::RandomLine, PreStack::GatherSetDataPack, uiObject, uiStratLevelSel, visBase::DataObject, visBase::Scene, SyntheticData, PreStackSyntheticData, CtxtIOObj, and Well::Data.

## Member Data Documentation

## ◆ name_

BufferString NamedObject::name_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025